TESTING/LIN/zlqt04.f(3)

NAME
TESTING/LIN/zlqt04.f

SYNOPSIS

  Functions/Subroutines
subroutine zlqt04 (m, n, nb, result)
DLQT04

Function/Subroutine Documentation

  subroutine zlqt04 (integer m, integer n, integer nb, double precision, dimension(6) result)

DLQT04

Purpose:

     ZLQT04 tests ZGELQT and ZUNMLQT.

Parameters
    M

              M is INTEGER
              Number of rows in test matrix.

    N

              N is INTEGER
              Number of columns in test matrix.

    NB

              NB is INTEGER
              Block size of test matrix.  NB <= Min(M,N).

    RESULT

              RESULT is DOUBLE PRECISION array, dimension (6)
              Results of each of the six tests below.
              RESULT(1) = | A - L Q |
              RESULT(2) = | I - Q Q^H |
              RESULT(3) = | Q C - Q C |
              RESULT(4) = | Q^H C - Q^H C |
              RESULT(5) = | C Q - C Q |
              RESULT(6) = | C Q^H - C Q^H |

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 72 of file zlqt04.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.